package com.joe.base.application;

import android.app.Application;
import android.content.Context;

import com.billy.cc.core.component.CC;

/**
 * Created by Wyh on 2019/12/21.
 */
public class BaseApplication extends Application {

    /**
     * 系统上下文
     */
    private static Context mAppContext;

    @Override
    public void onCreate() {
        super.onCreate();
        mAppContext = getApplicationContext();

        CC.enableVerboseLog(true);
        CC.enableDebug(true);
        CC.enableRemoteCC(true);
    }

    /**
     * 获取系统上下文：用于ToastUtil类
     */
    public static Context getAppContext() {
        return mAppContext;
    }

}
